## caribou 0.3-0

=== DESCRIPTION ===
Package: caribou
Type: Package
Title: Estimation of caribou abundance
Version: 0.3-0
Date: 2011-11-17
Author: Helene Crepeau <Helene.Crepeau@mat.ulaval.ca> and 
        Louis-Paul Rivest <Louis-Paul.Rivest@mat.ulaval.ca> and 
		Sophie Baillargeon <Sophie.Baillargeon@mat.ulaval.ca>
Maintainer: Sophie Baillargeon <Sophie.Baillargeon@mat.ulaval.ca>
Description: This package implements the methodology found in the article by 
             Rivest, L.-P., Couturier, S. and Crepeau, H. (1998) about caribou 
             abundance estimation. It also includes a function based on the Lincoln-Petersen 
             Index as applied to radio-telemetry data by White and Garrott (1990). 
License: GPL-2
Packaged: 2011-11-17 16:07:10 UTC; Sophie Baillargeon
Repository: CRAN
Date/Publication: 2011-11-18 06:41:47

## caribou 0.3.92

=== debian/changelog ===
caribou (0.3.92-0ubuntu1) oneiric; urgency=low

  * Initial release (LP: #845300)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 23 Sep 2011 13:45:16 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: caribou
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
Build-Depends: debhelper (>= 8.1.3~),
               cdbs (>= 0.4.93~),
               gnome-pkg-tools,
               autotools-dev,
               intltool (>= 0.35.0),
               python (>= 2.6.6-3~),
               python-gobject-dev (>= 2.90.3),
               valac-0.14 (>= 0.13),
               gnome-doc-utils,
               gobject-introspection (>= 0.10.7),
               libgirepository1.0-dev (>= 0.10.7),
               libclutter-1.0-dev (>= 1.5.15),
               libgee-dev,
               libglib2.0-dev (>= 2.27.5),
               libgtk2.0-dev,
               libgtk-3-dev (>= 3.0.0),
               libx11-dev,
               libxklavier-dev,
               libxml2-dev,
               libxtst-dev
X-Python-Version: >= 2.4
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/experimental/caribou
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/experimental/caribou/

Package: libcaribou0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Configurable on screen keyboard with scanning mode - library
 An input assistive technology intended for switch and pointer users.
 .
 This package contains the shared library.

Package: libcaribou-dev
Section: libdevel
Architecture: any
Depends: libcaribou0 (= ${binary:Version}),
         gir1.2-caribou-1.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.27.5),
         libgee-dev,
         ${misc:Depends}
Description: Configurable on screen keyboard - library (development)
 An input assistive technology intended for switch and pointer users.
 .
 This package contains the development files for libcaribou library.

Package: gir1.2-caribou-1.0
Architecture: any
Depends: libcaribou0 (= ${binary:Version}),
         ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the Caribou library
 An input assistive technology intended for switch and pointer users.
 .
 This package contains introspection data for the libcaribou library. It
 can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libcaribou-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libcaribou0 (= ${binary:Version}),
         ${misc:Depends}
Description: Configurable on screen keyboard - library (debug symbols)
 An input assistive technology intended for switch and pointer users.
 .
 This package contains the debugging symbols for libcaribou library.

Package: caribou
Section: gnome
Priority: extra
Architecture: all
Depends: ${python:Depends},
         python-gobject (>= 2.27.92),
         gir1.2-caribou-1.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-clutter-1.0,
         python-dbus,
         python-pyatspi2,
         ${misc:Depends}
Description: Configurable on screen keyboard with scanning mode
 An input assistive technology intended for switch and pointer users.
 
Package: libcaribou-gtk-module
Architecture: any
Depends: ${shlibs:Depends},
         caribou (= ${source:Version}),
         gsettings-desktop-schemas,
         ${misc:Depends}
Description: Configurable on screen keyboard with scanning mode (GTK+ 2.0 module)
 An input assistive technology intended for switch and pointer users.
 .
 This package contains the GTK+ 2.0 module library.

Package: libcaribou-gtk-module-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libcaribou-gtk-module (= ${binary:Version}),
         ${misc:Depends}
Description: Configurable on screen keyboard with scanning mode - module
 An input assistive technology intended for switch and pointer users.
 .
 This package contains detached debugging symbols for libcaribou-gtk-module.

Package: libcaribou-gtk3-module
Architecture: any
Depends: ${shlibs:Depends},
         caribou (= ${source:Version}),
         gsettings-desktop-schemas,
         ${misc:Depends}
Description: Configurable on screen keyboard with scanning mode (GTK+ 3.0 module)
 An input assistive technology intended for switch and pointer users.
 .
 This package contains the GTK+ 3.0 module library.

Package: libcaribou-gtk3-module-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libcaribou-gtk3-module (= ${binary:Version}),
         ${misc:Depends}
Description: Configurable on screen keyboard with scanning mode - module
 An input assistive technology intended for switch and pointer users.
 .
 This package contains detached debugging symbols for libcaribou-gtk3-module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/class/python-module.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# List any files which are not installed
include /usr/share/cdbs/1/rules/utils.mk
common-binary-post-install-arch:: list-missing

install/libcaribou-gtk3-module::
	cp -a modules/caribou-gtk-module.desktop \
	      debian/tmp/usr/lib/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk3-module.desktop

install/caribou::
	echo "NoDisplay=true" >> debian/tmp/usr/share/applications/caribou.desktop
	echo "OnlyShowIn=GNOME;" >> debian/tmp/etc/xdg/autostart/caribou-autostart.desktop

DEB_PYTHON2_MODULE_PACKAGES = caribou

DEB_DH_MAKESHLIBS_ARGS_libcaribou0 += -V -- -c4
DEB_DH_MAKESHLIBS_ARGS_libcaribou-gtk-module += --no-act
DEB_DH_MAKESHLIBS_ARGS_libcaribou-gtk3-module += --no-act

DEB_DH_STRIP_ARGS_libcaribou0 += --dbg-package=libcaribou-dbg
DEB_DH_STRIP_ARGS_libcaribou-gtk-module += --dbg-package=libcaribou-gtk-module-dbg
DEB_DH_STRIP_ARGS_libcaribou-gtk3-module += --dbg-package=libcaribou-gtk3-module-dbg

## caribou 0.4.1

=== debian/changelog ===
caribou (0.4.1-1) experimental; urgency=low

  [ Rico Tzschichholz ]
  * Initial release

  [ Sjoerd Simons ]
  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 21 Oct 2011 21:07:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Source: caribou
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,
@@ -37,11 +36,23 @@
 Package: libcaribou0
 Architecture: any
 Depends: ${shlibs:Depends},
+         libcaribou-common (= ${source:Version}),
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Configurable on screen keyboard with scanning mode - library
  An input assistive technology intended for switch and pointer users.
  .
  This package contains the shared library.
+
+Package: libcaribou-common
+Architecture: all
+Depends: ${misc:Depends}
+Multi-Arch: foreign
+Description: Configurable on screen keyboard with scanning mode - common files
+ An input assistive technology intended for switch and pointer users.
+ .
+ This package contains support files for libcaribou
 
 Package: libcaribou-dev
 Section: libdevel
@@ -75,6 +86,7 @@
 Architecture: any
 Depends: libcaribou0 (= ${binary:Version}),
          ${misc:Depends}
+Multi-Arch: same
 Description: Configurable on screen keyboard - library (debug symbols)
  An input assistive technology intended for switch and pointer users.
  .
@@ -82,7 +94,6 @@
 
 Package: caribou
 Section: gnome
-Priority: extra
 Architecture: all
 Depends: ${python:Depends},
          python-gobject (>= 2.27.92),
@@ -96,10 +107,25 @@
 Description: Configurable on screen keyboard with scanning mode
  An input assistive technology intended for switch and pointer users.
  
+Package: caribou-antler
+Section: gnome
+Priority: extra
+Architecture: all
+Depends: ${python:Depends},
+         caribou (= ${source:Version}),
+         python-gobject (>= 2.27.92),
+         gir1.2-caribou-1.0,
+         gir1.2-glib-2.0,
+         gir1.2-gtk-3.0,
+         gir1.2-clutter-1.0,
+         python-dbus,
+         ${misc:Depends}
+Description: Configurable on screen keyboard with scanning mode
+ An input assistive technology intended for switch and pointer users.
+
 Package: libcaribou-gtk-module
 Architecture: any
 Depends: ${shlibs:Depends},
-         caribou (= ${source:Version}),
          gsettings-desktop-schemas,
          ${misc:Depends}
 Description: Configurable on screen keyboard with scanning mode (GTK+ 2.0 module)
@@ -121,7 +147,6 @@
 Package: libcaribou-gtk3-module
 Architecture: any
 Depends: ${shlibs:Depends},
-         caribou (= ${source:Version}),
          gsettings-desktop-schemas,
          ${misc:Depends}
 Description: Configurable on screen keyboard with scanning mode (GTK+ 3.0 module)

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/caribou/([0-9.]+)/caribou-(.*).tar.bz2

## caribou 0.4.2

=== debian/changelog ===
caribou (0.4.2-1ubuntu1) precise; urgency=low

  * Sync with Debian, remaining change:
  * debian/control.in:
    Add Replaces for file move between Ubuntu caribou and Debian
    libcaribou-common (LP: #909429); This diff is needed until after the
    12.04 LTS to allow smooth upgrades

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 01 Apr 2012 10:10:06 -0400

caribou (0.4.2-1) unstable; urgency=low

  [ Michael Biebl ]
  * Change section of gir1.2-caribou-1.0 to introspection.

  [ Josselin Mouette ]
  * Update repository URL.

  [ Laurent Bigonville ]
  * New upstream release
  * Drop debian/source/options: Use default compression for the debian tarball
  * debian/control.in: Bump Standards-Version to 3.9.3 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 01 Apr 2012 13:41:31 +0200

caribou (0.4.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Replace python-gobject by python-gi.

  [ Michael Biebl ]
  * Upload to unstable.
  * debian/watch: Track .xz tarballs.

 -- Michael Biebl <biebl@debian.org>  Sun, 27 Nov 2011 19:08:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
 Source: caribou
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,
                autotools-dev,
                intltool (>= 0.35.0),
                python (>= 2.6.6-3~),
-               python-gobject-dev (>= 2.90.3),
+               python-gi-dev (>= 2.90.3),
                valac-0.14 (>= 0.13),
                gnome-doc-utils,
                gobject-introspection (>= 0.10.7),
@@ -29,9 +30,9 @@
                libxml2-dev,
                libxtst-dev
 X-Python-Version: >= 2.4
-Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/experimental/caribou
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/experimental/caribou/
+Standards-Version: 3.9.3
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/caribou
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/caribou/
 
 Package: libcaribou0
 Architecture: any
@@ -47,6 +48,7 @@
 
 Package: libcaribou-common
 Architecture: all
+Replaces: caribou (<< 0.4.1-2~)
 Depends: ${misc:Depends}
 Multi-Arch: foreign
 Description: Configurable on screen keyboard with scanning mode - common files
@@ -68,6 +70,7 @@
  This package contains the development files for libcaribou library.
 
 Package: gir1.2-caribou-1.0
+Section: introspection
 Architecture: any
 Depends: libcaribou0 (= ${binary:Version}),
          ${gir:Depends},
@@ -96,7 +99,7 @@
 Section: gnome
 Architecture: all
 Depends: ${python:Depends},
-         python-gobject (>= 2.27.92),
+         python-gi,
          gir1.2-caribou-1.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
@@ -106,14 +109,14 @@
          ${misc:Depends}
 Description: Configurable on screen keyboard with scanning mode
  An input assistive technology intended for switch and pointer users.
- 
+
 Package: caribou-antler
 Section: gnome
 Priority: extra
 Architecture: all
 Depends: ${python:Depends},
          caribou (= ${source:Version}),
-         python-gobject (>= 2.27.92),
+         python-gi,
          gir1.2-caribou-1.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,

=== debian/rules ===
--- 
+++ 
@@ -7,19 +7,21 @@
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
+DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+
 # List any files which are not installed
 include /usr/share/cdbs/1/rules/utils.mk
 common-binary-post-install-arch:: list-missing
 
 install/libcaribou-gtk3-module::
 	cp -a modules/caribou-gtk-module.desktop \
-	      debian/tmp/usr/lib/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk3-module.desktop
+	      debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk3-module.desktop
 
 install/caribou::
 	echo "NoDisplay=true" >> debian/tmp/usr/share/applications/caribou.desktop
 	echo "OnlyShowIn=GNOME;" >> debian/tmp/etc/xdg/autostart/caribou-autostart.desktop
 
-DEB_PYTHON2_MODULE_PACKAGES = caribou
+DEB_PYTHON2_MODULE_PACKAGES = caribou caribou-antler
 
 DEB_DH_MAKESHLIBS_ARGS_libcaribou0 += -V -- -c4
 DEB_DH_MAKESHLIBS_ARGS_libcaribou-gtk-module += --no-act

## caribou 0.4.3

=== debian/changelog ===
caribou (0.4.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 03 Sep 2012 08:51:13 +1200

caribou (0.4.2-2) unstable; urgency=low

  * Build libcaribou-gtk-module and libcaribou-gtk3-module for multiarch,
    they need hard-coded versioned dependencies on the minimum versions
    of gtk2/gtk3 that support lookups in the multiarch path.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 03 Apr 2012 17:02:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: caribou
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,
@@ -48,7 +46,6 @@
 
 Package: libcaribou-common
 Architecture: all
-Replaces: caribou (<< 0.4.1-2~)
 Depends: ${misc:Depends}
 Multi-Arch: foreign
 Description: Configurable on screen keyboard with scanning mode - common files
@@ -129,8 +126,10 @@
 Package: libcaribou-gtk-module
 Architecture: any
 Depends: ${shlibs:Depends},
+         libgtk2.0-0 (>= 2.24.5-4),
          gsettings-desktop-schemas,
          ${misc:Depends}
+Multi-Arch: same
 Description: Configurable on screen keyboard with scanning mode (GTK+ 2.0 module)
  An input assistive technology intended for switch and pointer users.
  .
@@ -142,6 +141,7 @@
 Section: debug
 Depends: libcaribou-gtk-module (= ${binary:Version}),
          ${misc:Depends}
+Multi-Arch: same
 Description: Configurable on screen keyboard with scanning mode - module
  An input assistive technology intended for switch and pointer users.
  .
@@ -150,8 +150,10 @@
 Package: libcaribou-gtk3-module
 Architecture: any
 Depends: ${shlibs:Depends},
+         libgtk-3-0 (>= 3.2.2-3),
          gsettings-desktop-schemas,
          ${misc:Depends}
+Multi-Arch: same
 Description: Configurable on screen keyboard with scanning mode (GTK+ 3.0 module)
  An input assistive technology intended for switch and pointer users.
  .
@@ -163,6 +165,7 @@
 Section: debug
 Depends: libcaribou-gtk3-module (= ${binary:Version}),
          ${misc:Depends}
+Multi-Arch: same
 Description: Configurable on screen keyboard with scanning mode - module
  An input assistive technology intended for switch and pointer users.
  .

## caribou 0.4.4

=== debian/changelog ===
caribou (0.4.4-1) unstable; urgency=low

  * Stop overriding OnlyShowIn from upstream. Closes: #679102.
  * New upstream translation/bugfix release.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2012 12:38:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: caribou
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
+Uploaders: Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
 
 install/caribou::
 	echo "NoDisplay=true" >> debian/tmp/usr/share/applications/caribou.desktop
-	echo "OnlyShowIn=GNOME;" >> debian/tmp/etc/xdg/autostart/caribou-autostart.desktop
 
 DEB_PYTHON2_MODULE_PACKAGES = caribou caribou-antler

## caribou 0.4.10

=== debian/changelog ===
caribou (0.4.10-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 19 Mar 2013 00:20:52 +0100

caribou (0.4.8-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
  * debian/control.in:
    - Build-depend on gtk-doc-tools instead of gnome-doc-utils
    - Build-depend on valac-0.18 instead of valac-0.14
    - Build-depend on libgee-0.8, valadoc, & at-spi2
    - Change caribou architecture to Any since the daemon has
      been ported from python to vala
    - Update libcaribou-dev dependencies to match pkgconfig file
  * debian/caribou.install:
    - Don't install python libraries for daemon
  * debian/libcaribou0.install:
    - Private symbols have been dropped
  * debian/libcaribou-dev.install:
    - Install pkgconfig file

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Make caribou depend on ${shlibs:Depends}.
    + Fix caribou-antler's dependency on caribou so it's binNMU-safe.
    + Point Vcs-* to the experimental branch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 06 Mar 2013 18:31:12 +0100

caribou (0.4.4-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release.
  * debian/control.in:
    - Build-depend on gtk-doc-tools instead of gnome-doc-utils
    - Build-depend on valac-0.18 instead of valac-0.14

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 08 Sep 2012 23:59:26 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,
@@ -15,23 +15,25 @@
                intltool (>= 0.35.0),
                python (>= 2.6.6-3~),
                python-gi-dev (>= 2.90.3),
-               valac-0.14 (>= 0.13),
-               gnome-doc-utils,
+               valac-0.18,
                gobject-introspection (>= 0.10.7),
+               gtk-doc-tools,
+               libatspi2.0-dev,
                libgirepository1.0-dev (>= 0.10.7),
                libclutter-1.0-dev (>= 1.5.15),
-               libgee-dev,
+               libgee-0.8-dev,
                libglib2.0-dev (>= 2.27.5),
                libgtk2.0-dev,
                libgtk-3-dev (>= 3.0.0),
+               libvaladoc-dev,
                libx11-dev,
                libxklavier-dev,
                libxml2-dev,
                libxtst-dev
 X-Python-Version: >= 2.4
 Standards-Version: 3.9.3
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/caribou
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/caribou/
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/experimental/caribou
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/caribou/
 
 Package: libcaribou0
 Architecture: any
@@ -59,8 +61,13 @@
 Architecture: any
 Depends: libcaribou0 (= ${binary:Version}),
          gir1.2-caribou-1.0 (= ${binary:Version}),
+         libgee-0.8-dev,
          libglib2.0-dev (>= 2.27.5),
-         libgee-dev,
+         libgtk-3-dev,
+         libx11-dev,
+         libxklavier-dev,
+         libxml2-dev,
+         libxtst-dev,
          ${misc:Depends}
 Description: Configurable on screen keyboard - library (development)
  An input assistive technology intended for switch and pointer users.
@@ -95,16 +102,17 @@
 
 Package: caribou
 Section: gnome
-Architecture: all
+Architecture: any
 Depends: ${python:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends},
          python-gi,
          gir1.2-caribou-1.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
          gir1.2-clutter-1.0,
          python-dbus,
-         python-pyatspi2,
-         ${misc:Depends}
+         python-pyatspi2
 Description: Configurable on screen keyboard with scanning mode
  An input assistive technology intended for switch and pointer users.
 
@@ -113,7 +121,7 @@
 Priority: extra
 Architecture: all
 Depends: ${python:Depends},
-         caribou (= ${source:Version}),
+         caribou (>= ${source:Version}),
          python-gi,
          gir1.2-caribou-1.0,
          gir1.2-glib-2.0,

## caribou 0.4.12

=== debian/changelog ===
caribou (0.4.12-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in: Depends against python-pyatspi instead of
    python-pyatspi2 as the later is a transitional package
  * debian/control.in: Bump Priority of caribou-antler to optional

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in:
    - Build-depend on valac instead of obsolete valac-0.18 (Closes: #709708) 

  [ Michael Biebl ]
  * Bump Standards-Version to 3.9.4. No further changes.
  * Drop the libvaladoc-dev Build-Depends since we are not actually building
    the documentation.
  * Update symbols file. Quite a few public symbols were dropped without
    bumping the SOVERSION. Since gir1.2-caribou-1.0 is currently the only user
    of that library and it has a strict dependency, that should be fine.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 23 Aug 2013 19:09:32 +0200

caribou (0.4.10-2) experimental; urgency=low

  * debian/control.in: Bump clutter build-depend to ensure we build against
    the right cogl

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 24 Mar 2013 19:23:43 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,
@@ -15,25 +15,24 @@
                intltool (>= 0.35.0),
                python (>= 2.6.6-3~),
                python-gi-dev (>= 2.90.3),
-               valac-0.18,
+               valac,
                gobject-introspection (>= 0.10.7),
                gtk-doc-tools,
                libatspi2.0-dev,
                libgirepository1.0-dev (>= 0.10.7),
-               libclutter-1.0-dev (>= 1.5.15),
+               libclutter-1.0-dev (>= 1.13.10),
                libgee-0.8-dev,
                libglib2.0-dev (>= 2.27.5),
                libgtk2.0-dev,
                libgtk-3-dev (>= 3.0.0),
-               libvaladoc-dev,
                libx11-dev,
                libxklavier-dev,
                libxml2-dev,
                libxtst-dev
 X-Python-Version: >= 2.4
-Standards-Version: 3.9.3
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/experimental/caribou
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/caribou/
+Standards-Version: 3.9.4
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/caribou
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/caribou/
 
 Package: libcaribou0
 Architecture: any
@@ -112,13 +111,13 @@
          gir1.2-gtk-3.0,
          gir1.2-clutter-1.0,
          python-dbus,
-         python-pyatspi2
+         python-pyatspi
 Description: Configurable on screen keyboard with scanning mode
  An input assistive technology intended for switch and pointer users.
 
 Package: caribou-antler
 Section: gnome
-Priority: extra
+Priority: optional
 Architecture: all
 Depends: ${python:Depends},
          caribou (>= ${source:Version}),

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,6 @@
 	cp -a modules/caribou-gtk-module.desktop \
 	      debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk3-module.desktop
 
-install/caribou::
-	echo "NoDisplay=true" >> debian/tmp/usr/share/applications/caribou.desktop
-
 DEB_PYTHON2_MODULE_PACKAGES = caribou caribou-antler
 
 DEB_DH_MAKESHLIBS_ARGS_libcaribou0 += -V -- -c4

## caribou 0.4.13

=== debian/changelog ===
caribou (0.4.13-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Tim Lunn <tim@feathertop.org>  Fri, 07 Feb 2014 16:57:04 +1100

caribou (0.4.12-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Sun, 29 Dec 2013 16:24:12 -0500

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: caribou
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,
-               autotools-dev,
+               dh-autoreconf,
                intltool (>= 0.35.0),
                python (>= 2.6.6-3~),
                python-gi-dev (>= 2.90.3),

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/caribou/([0-9.]+)/caribou-(.*).tar.xz

## caribou 0.4.14

=== debian/changelog ===
caribou (0.4.14-1) unstable; urgency=medium

  * New upstream release.
  * Add Homepage: field.
  * Update debian/copyright to use the final version 1.0 of the
    machine-readable copyright format specification.
  * Install D-Bus service file, the caribou daemon is now started via D-Bus
    activation.

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Sep 2014 17:53:54 +0200

caribou (0.4.13-2) unstable; urgency=medium

  * Use dh-autoreconf during build to support new architectures like ppc64el.
    Closes: #733555

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Sep 2014 21:27:18 +0200

caribou (0.4.13-1) unstable; urgency=medium

  * Team upload.

  [ Jackson Doak ]
  * New upstream release

  [ Andreas Henriksson ]
  * Install caribou-1.0 vala api files in libcaribou-dev
  * Bump Standards-Version to 3.9.5

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 26 Apr 2014 16:25:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: caribou
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,
@@ -30,7 +30,8 @@
                libxml2-dev,
                libxtst-dev
 X-Python-Version: >= 2.4
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
+Homepage: https://wiki.gnome.org/Projects/Caribou
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/caribou
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/caribou/

## caribou 0.4.15

=== debian/changelog ===
caribou (0.4.15-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream bugfix release

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Sep 2014 12:25:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: caribou
 Section: libs
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/class/python-module.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk

## caribou 0.4.17

=== debian/changelog ===
caribou (0.4.17-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Add new symbols

 -- Jackson Doak <noskcaj@ubuntu.com>  Tue, 17 Feb 2015 06:57:20 +1100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: caribou
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,

## caribou 0.4.18.1

=== debian/changelog ===
caribou (0.4.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/libcaribou0.symbols with newly added symbols.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 20 May 2015 22:14:57 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: caribou
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,

## caribou 0.4.19

=== debian/changelog ===
caribou (0.4.19-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Oct 2015 22:16:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,
@@ -29,10 +29,10 @@
                libxml2-dev,
                libxtst-dev
 X-Python-Version: >= 2.4
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Projects/Caribou
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/caribou
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/caribou/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/caribou/
 
 Package: libcaribou0
 Architecture: any

## caribou 0.4.20

=== debian/changelog ===
caribou (0.4.20-2) unstable; urgency=medium

  * Switch to python3
  * Switch from cdbs to dh and bump debhelper compatibility to 9
  * Drop -dbg packages and rely on the automatically -dbgsym built ones
  * debian/control.in: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/patches/01_fix_print_python3.patch: Fix print statement in python3
  * debian/patches/02_fix_pygi_warnings.patch: Set version of the bindings
  * debian/patches/03_fix_python3.patch: Fix python3 compatibility
  * debian/control.in: Add explicit build-dependency against dh-python
  * debian/patches/04_fix_antler-keyboard-traceback.patch: Fix class import

 -- Laurent Bigonville <bigon@debian.org>  Mon, 27 Jun 2016 18:52:28 +0200

caribou (0.4.20-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Mar 2016 22:25:53 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
-Build-Depends: debhelper (>= 8.1.3~),
-               cdbs (>= 0.4.93~),
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
+Build-Depends: debhelper (>= 9.20160114~),
+               dh-python,
                gnome-pkg-tools,
-               dh-autoreconf,
+               dh-autoreconf (>= 4~),
                intltool (>= 0.35.0),
-               python (>= 2.6.6-3~),
+               python3 (>= 3.2),
                python-gi-dev (>= 2.90.3),
                valac,
                gobject-introspection (>= 0.10.7),
@@ -28,8 +28,8 @@
                libxklavier-dev,
                libxml2-dev,
                libxtst-dev
-X-Python-Version: >= 2.4
-Standards-Version: 3.9.6
+X-Python3-Version: >= 3.2
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Projects/Caribou
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/caribou
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/caribou/
@@ -87,31 +87,19 @@
  can be used by packages using the GIRepository format to generate
  dynamic bindings.
 
-Package: libcaribou-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libcaribou0 (= ${binary:Version}),
-         ${misc:Depends}
-Multi-Arch: same
-Description: Configurable on screen keyboard - library (debug symbols)
- An input assistive technology intended for switch and pointer users.
- .
- This package contains the debugging symbols for libcaribou library.
-
 Package: caribou
 Section: gnome
 Architecture: any
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         python-gi,
+         python3-gi,
          gir1.2-caribou-1.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
          gir1.2-clutter-1.0,
-         python-dbus,
-         python-pyatspi
+         python3-dbus,
+         python3-pyatspi
 Description: Configurable on screen keyboard with scanning mode
  An input assistive technology intended for switch and pointer users.
 
@@ -119,14 +107,14 @@
 Section: gnome
 Priority: optional
 Architecture: all
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          caribou (>= ${source:Version}),
-         python-gi,
+         python3-gi,
          gir1.2-caribou-1.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
          gir1.2-clutter-1.0,
-         python-dbus,
+         python3-dbus,
          ${misc:Depends}
 Description: Configurable on screen keyboard with scanning mode
  An input assistive technology intended for switch and pointer users.
@@ -143,18 +131,6 @@
  .
  This package contains the GTK+ 2.0 module library.
 
-Package: libcaribou-gtk-module-dbg
-Architecture: any
-Priority: extra
-Section: debug
-Depends: libcaribou-gtk-module (= ${binary:Version}),
-         ${misc:Depends}
-Multi-Arch: same
-Description: Configurable on screen keyboard with scanning mode - module
- An input assistive technology intended for switch and pointer users.
- .
- This package contains detached debugging symbols for libcaribou-gtk-module.
-
 Package: libcaribou-gtk3-module
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -166,15 +142,3 @@
  An input assistive technology intended for switch and pointer users.
  .
  This package contains the GTK+ 3.0 module library.
-
-Package: libcaribou-gtk3-module-dbg
-Architecture: any
-Priority: extra
-Section: debug
-Depends: libcaribou-gtk3-module (= ${binary:Version}),
-         ${misc:Depends}
-Multi-Arch: same
-Description: Configurable on screen keyboard with scanning mode - module
- An input assistive technology intended for switch and pointer users.
- .
- This package contains detached debugging symbols for libcaribou-gtk3-module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYTHON=/usr/bin/python3

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome,autoreconf,python3

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/lib/caribou

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_install:
	cp -a modules/caribou-gtk-module.desktop \
	      debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk3-module.desktop
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_makeshlibs:
	dh_makeshlibs -plibcaribou0 -V -- -c4
	dh_makeshlibs -plibcaribou-gtk-module --no-act
	dh_makeshlibs -plibcaribou-gtk3-module --no-act
	dh_makeshlibs --remaining-packages

override_dh_strip:
	dh_strip -plibcaribou0 --dbgsym-migration='libcaribou-dbg (<< 0.4.20-2)'
	dh_strip -plibcaribou-gtk-module --dbgsym-migration='libcaribou-gtk-module-dbg (<< 0.4.20-2)'
	dh_strip -plibcaribou-gtk3-module --dbgsym-migration='libcaribou-gtk3-module-dbg (<< 0.4.20-2)'
	dh_strip --remaining-packages
